Subject: [Stackevo-discuss] Scope of stackevo and ossification in DC

From: Tom Herbert <[email-masked]>
Date: Tue, 17 Nov 2015 10:49:26 -0800

[ Reposting from stackevo list]

Hello,

Similar to the use of protocols on the Internet we are hitting the
transport protocol ossification problem in the data center.
Specifically, performance optimizations in networking devices only
support TCP or UDP, and without these optimizations this negatively
impacts our use of other protocols. One example of this is the need
for fine grained ECMP which has become driver behind many of the
foo-over-UDP proposals (e.g. MPLS/UDP, GRE/UDP, ...).

This problem is likely a proper subset of the general problem, but
might be more amenable to some "simpler" solutions. Is this within
scope of stackevo?

Thanks,
Tom